locked
E_NOINTERFACE 0x800004002 Error Adding Package to App-V 5.1 HF4 Server RRS feed

  • Question

  • Hi all,

    Brand new installation of App-V Server 5.1 which I have also patched with Hotfix 4.

    Brand new sequenced application (PuTTY to keep it simple for starters) using the 5.1 Sequencer and when I try to import it either via the Management Console or PowerShell, it fails. Error is written to the Server-Management Event Log as follows:

    "There was a problem retrieving the requested package http://SERVER.domain.suffix/PuTTY/PuTTY.appv for import. Error message: Creating an instance of the COM component with CLSID {885A0661-50B8-4C30-B134-456B52293229} from the IClassFactory failed due to the following error: 80004002 No such interface supported (Exception from HRESULT: 0x80004002 (E_NOINTERFACE).

    I read the thread at https://social.technet.microsoft.com/Forums/sharepoint/en-US/1ec3ff70-15be-4e98-9b9b-4a223624c91a/appv-51-management-console-adding-appv-packge-from-share?forum=mdopappv which has the same error which is what drove me to install HF4 and it made no difference.

    I have tried using SMB and I have tried both HTTP and SMB with and without the FQDN and NetBIOS name and I get the same error each time. For HTTP, the MIME Type for .appv has been added to the IIS website and from a Windows 8.1 client, I can successfully download the .appv file from the site.

    What am I doing wrong? I've checked the permissions and I have added the AppV_Server_Admins_GG AD group to the root folder with Full Control. This group contains my App-V Servers and the App-V Administrators.


    Richard Green | MCSA Office 365, MCSA Server 2012, MCSE Server 2003, MCTS Desktop Virtualization, VCP55-DCV Blog: http://richardjgreen.net | Twitter: @richardjgreen

    Friday, November 11, 2016 4:46 PM

All replies

  • I just verified the class ID and it belongs to ManagementServiceAppxComponent, appxinterop.dll

    The above error seems to be coming because this class is not registered as expected during install.

    Please verify if the below key is present in your registry.

    HKEY_CLASSES_ROOT\CLSID\{885A0661-50B8-4C30-B134-456B52293229}

    If not present, please attempt to uninstall, and re install the patch.

    Note that, HF4 is only needed for 1607 version of windows.


    Kiranmayi

    • Proposed as answer by starzs Monday, November 14, 2016 10:04 AM
    Friday, November 11, 2016 9:41 PM
  • Hi there,

    I've tried what you suggested and I have also tried to re-register the appxinterop.dll file using regsvr32.dll to no avail.

    Would it be possible for you to export the HKEY_CLASSES_ROOT\CLSID\{885A0661-50B8-4C30-B134-456B52293229}hive from a working system for me to compare to the hive on my system?


    Richard Green | MCSA Office 365, MCSA Server 2012, MCSE Server 2003, MCTS Desktop Virtualization, VCP55-DCV Blog: http://richardjgreen.net | Twitter: @richardjgreen

    Tuesday, November 15, 2016 11:01 AM